<div class="d-flex justify-content-around bg-light">
  <div class="icon align-self-center flex-item">
    <div *ngIf="isAdmin; else user">
      <a [routerLink]="['/home']">Shop</a>
      <a [routerLink]="['/admin']" class="ml-4">Admin</a>
    </div>
    <ng-template #user>
      <a [routerLink]="['/home']">Shop</a>
    </ng-template>
  </div>

  <form class="search-form flex-item">
    <mat-form-field>
      <mat-label>Search product</mat-label>
      <input
        type="text"
        placeholder="Choose any"
        aria-label="String"
        matInput
        [formControl]="searchInput"
      />
      <mat-icon matPrefix class="search-icon">search</mat-icon>
    </mat-form-field>
    <button
      mat-raised-button
      (click)="openSearchPage()"
      class="align-self-center ml-2"
    >
      Search
    </button>
  </form>

  <div class="d-flex justify-content-around flex-item">
    <div class="cart align-self-center">
      <a [routerLink]="['/cart']"><mat-icon>shopping_cart</mat-icon></a>
    </div>
    <div class="align-self-center" *ngIf="isLoggedIn; else loginAndSignup">
      <a [routerLink]="" (click)="logout()">LogOut</a>
    </div>
    <ng-template #loginAndSignup>
      <div class="d-flex justify-conent-center">
        <div class="align-self-center mr-4">
          <a [routerLink]="['/login']">Login</a>
        </div>
        <div class="align-self-center">
          <a [routerLink]="['/signup']">Signup</a>
        </div>
      </div>
    </ng-template>
  </div>
</div>
